PlaSim
======

Gerneral Circulation Models Planet Simulator (PlaSim) and PUMA

This repository has all necessary components to run the models.

These models are research models used in Meteorology and Earth Sciences.
You need knowledge in Meteorology and skills in Linux, C and FORTRAN
for running the models and interpreting the results.

Please start reading the manuals located in:

puma/doc for the PUMA model
plasim/doc for the Planet Simulator

Then have a look at the README file for configuration and setup.

## Installation

### coriolis

```bash
cd /cofast/$USER
git clone https://gogs.elic.ucl.ac.be/TECLIM/PlaSim.git

cd PlaSim
./configure.sh
```

## Quick run

```bash
cd /cofast/$USER/PlaSim
./most.x
```

Example:

- Select model "Planet Simulator"
- Select modules "ML Ocean" and "Sea Ice"
- Edit number of cores (eg 16)
- Switch GUI off
- Switch Output on
- Switch "Double Precision" on
- Edit number of years to run
- Click on `Save & Exit`

See the corresponding example below:

![MoSt example](./images/run_example.png)

Now, launch the model:

```bash
cd /cofast/$USER/PlaSim
source modules.load
cd plasim/run
screen
./most_plasim_run
```

> You can leave the `screen` process with

```bash
Ctrl+a d
```

> You can monitor the model process with

```bash
cat plasim_diag | grep Completed
```

Results are:

```bash
209M  MOST.001
4,1M  MOST_REST.001
249K  MOST_DIAG.001
5,3M  MOST_OCE.001.nc
 14M  MOST_ICE.001.nc
 69M  ice_output
209M  MOST.002
 29M  ocean_output
4,1M  MOST_REST.002
245K  MOST_DIAG.002
5,2M  MOST_OCE.002.nc
 15M  MOST_ICE.002.nc
4,1M  plasim_restart
```

